Bug 88845 - xmlto Bookmark Chapter Titles in generated pdf files contain "textual garbarge"
xmlto Bookmark Chapter Titles in generated pdf files contain "textual garbarge"
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: passivetex (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-14 17:02 EDT by Shawn Walker
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:31:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
TestCase (1.75 KB, text/plain)
2003-04-24 11:06 EDT, Shawn Walker
no flags Details

  None (edit)
Description Shawn Walker 2003-04-14 17:02:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When using xmlto to convert a DocBook XML file to pdf using the following command:

xmlto --extensions -vv pdf MyDocBookFile.xml

The bookmarks in the generated file are correctly structured and labeled
*except* for the chapter bookmarks. The chapter bookmarks contain "textual garbage".

For example, the chapter bookmark should be:

Chapter 1. Introduction

Instead it is displayed as:
Chapter"A0fotex1."A0fotexIntroduction

(The f's are accented with a ` which I didn't know how to reproduce here).


Version-Release number of selected component (if applicable):
xmlto-0.0.12-3

How reproducible:
Always

Steps to Reproduce:
1. Run xmlto --extensions -vv pdf MyDocBookFile.xml
2. use acroread to inspect outputted pdf file
3. note that only chapter bookmarks contain "textual garbage"
    

Additional info:
Comment 1 Tim Waugh 2003-04-24 08:38:40 EDT
Sounds like a passivetex bug.

Please provide a small example document that this happens for you with.

Also, this looks a little like it might be to do with character encodings.  What
does 'locale' say?
Comment 2 Shawn Walker 2003-04-24 11:03:39 EDT
Here's the output of locale:

[swalker@swalker xmlto-bug]$ locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=

I will also attach a small sample document.
Comment 3 Shawn Walker 2003-04-24 11:06:22 EDT
Created attachment 91276 [details]
TestCase

"Textual Garbage" in bookmark output is seen in the "bookmark" pane of Adobe
Acrobat Reader, but nowhere else. I can also attach the resulting PDF I get on
my system if necessary.
Comment 4 Shawn Walker 2003-04-24 11:07:31 EDT
I should note that the attachment is a DocBook 4.2 XML file.
Comment 5 Tim Waugh 2003-04-24 11:11:18 EDT
How are you invoking Acrobat Reader?  Under Linux?  If so, did you try 'LANG=C
acroread ...'?
Comment 6 Shawn Walker 2003-04-24 11:23:28 EDT
Yes, regardless of how I invoke acroread, whether from the command line changing
the LANG or not changing the LANG it makes no difference.

The only thing that shows up with the "A0fotex are the chapter titles.

Hrm, I just thought of one thing though, could fonts have *anything* to do with
it? I have installed the Bitstream Vera fonts, and the MS Web Fonts. That's the
only other thing I can think of.
Comment 7 Shawn Walker 2003-04-24 11:25:19 EDT
Yes, I'm sorry I forgot to mention that I do run it under Linux. I could try a
Windows system to see if it does the same thing.
Comment 8 Shawn Walker 2003-04-24 11:52:13 EDT
I just tried viewing the PDF I generated on a Windows system, same Textual
Garbage appears there as well. So, I assume that it's in the pdf output itself
that was generated by passivetex.
Comment 9 Bill Nottingham 2006-08-05 01:53:31 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 11 Bill Nottingham 2007-01-02 14:31:00 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.